/* ---------------------------------------------------   */
/* exercise2.sas  - show the input as a GIF file             */
/* ---------------------------------------------------   */

%global XYZ TCOLOR  BCOLOR;

/*  these statments can be used to test without the application dispatcher
filename _webout 'c:\workshop\ws124\grphout.gif';
%let XYZ=testme;
%let TCOLOR=red;
%let BCOLOR=steel;
*/

             /* ------------------------------------------  */
             /* generate an HTTP header for a GIF file      */
             /* don't run this data step if testing locally */
             /* ------------------------------------------  */
data _null_;
 file _webout;
 put 'Content-type: image/gif'/;

run;

             /* ------------------------------  */
             /* use a GIF graphics device       */
             /* ------------------------------  */
goptions device=gif160
         gsfmode=replace
         gsfname=_webout;

             /* -----------------------------------------  */
             /* set the text color from an input parameter */
             /* -----------------------------------------  */

goptions ctitle=%superQ(TCOLOR);

             /* -----------------------------------------------  */
             /* set the background color from an input parameter */
             /* -----------------------------------------------  */

goptions cback=%superQ(BCOLOR);


             /* -------------------------- */
             /* generate the graphic       */
             /* -------------------------- */

proc gslide frame;
  note h=10  move=(8,15) f=brush "%superQ(XYZ)";

run;
